"use client";
import React from "react";

export type BlinkTextProps = { children: any, interval: number, props?: React.HTMLAttributes<HTMLDivElement> };
export default function BlinkText({ children, interval, props }: BlinkTextProps) {
  const elementProps = props ? props : {};
  const [show, setShow] = React.useState(false);
  React.useEffect(() => {
    const intervalRef = setInterval(() => {
      setShow(!show);
    }, interval);

    return () => clearInterval(intervalRef);
  }, [show]);

  return <div {...elementProps} style={{ visibility: show ? "visible" : "hidden", display: "inline" }}>{children}</div>
}